Kerbal Space Program - Feature #371

Docking unnecessarily difficult: prevent ASAS from using RCS, or RCS translation controls should
still work when RCS disabled

03/12/2013 09:25 PM - triffid_hunter

Status: New % Done: 0%
Severity: Low
Assignee:

Category: Controls and Ul
Target version:

Platform: Mod Related: No

Expansion:

Description

due to http://bugs.kerbalspaceprogram.com/issues/370 docking is unnecessarily difficult. | have to make absolutely certain that
ASAS and RCS are never enabled at the same time or my ship will shake itself to pieces, and frequently smash into whatever I'm
trying to dock with.

http://bugs.kerbalspaceprogram.com/issues/291 means that ASAS is extremely useful, almost necessary while docking.

By allowing the manual translation controls (IJKLHN) to still fire RCS jets when RCS is "disabled", docking will be made 10,000%
easier while the two linked issues remain unsolved.

tl;dr: RCS toggle should only disable RCS for rotation and ASAS, it should not disable RCS for translation.

History

#1 - 03/13/2013 01:32 AM - Switchblade88

Not a high-priority issue, please don't mark as such. RCS placement adjustment could resolve your problem, as could operator skKill...

What you are asking is for ASAS to NOT use (exclude) RCS whilst active; only using torque modules for stability. This is not related to RCS toggling
and user control.

#2 - 03/13/2013 07:43 AM - Ted
- Severity changed from High to Low
- Target version deleted (0.18.4)
